Package org.eclipse.mat.ui.snapshot.views.inspector

# Class InspectorView

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.mat.ui.snapshot.views.inspector.InspectorView

All Implemented Interfaces:
  `IAdaptable`, `IExecutableExtension`, `ISelectionChangedListener`, `IPartListener`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `IWorkbenchPartOrientation`

public class InspectorView extends ViewPart implements IPartListener, ISelectionChangedListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`InspectorView.InfoItem`

## Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`InspectorView()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPartControl(Composite parent)`
`void`
`dispose()`
`void`
`partActivated(IWorkbenchPart part)`
`void`
`partBroughtToTop(IWorkbenchPart part)`
`void`
`partClosed(IWorkbenchPart part)`
`void`
`partDeactivated(IWorkbenchPart part)`
`void`
`partOpened(IWorkbenchPart part)`
`void`
`selectionChanged(SelectionChangedEvent event)`
`void`
`setFocus()`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

## Constructor Details

### InspectorView

public InspectorView()

## Method Details

### createPartControl

public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

### partActivated

public void partActivated(IWorkbenchPart part)

Specified by:
  `partActivated` in interface `IPartListener`

### partBroughtToTop

public void partBroughtToTop(IWorkbenchPart part)

Specified by:
  `partBroughtToTop` in interface `IPartListener`

### partClosed

public void partClosed(IWorkbenchPart part)

Specified by:
  `partClosed` in interface `IPartListener`

### partDeactivated

public void partDeactivated(IWorkbenchPart part)

Specified by:
  `partDeactivated` in interface `IPartListener`

### partOpened

public void partOpened(IWorkbenchPart part)

Specified by:
  `partOpened` in interface `IPartListener`

### selectionChanged

public void selectionChanged(SelectionChangedEvent event)

Specified by:
  `selectionChanged` in interface `ISelectionChangedListener`